from core.utils import genstr
from core.models import UniqueVote, ElectionVote
from django.conf import settings


class AnonymizerServiceTestUtils(object):

    def create_vote_obj(self, election_id):
        vote_obj = {'ciphered_vote': genstr(25),
                    'unique_bulletin': genstr(64),
                    'signed_vote': genstr(128),
                    'blind_components': genstr(32),
                    'pr_components': genstr(32),
                    'election_id': election_id}

        return vote_obj

    def create_init(self, num):
        init_obj = {'voters_nr': num}
        return init_obj

    def check_table_integrity(self, election_id, num):
        available_slots = UniqueVote.objects.filter(
            election_id=election_id).count()

        if(available_slots != settings.EVOTE_SHUFFLE_MULTIPLIER * num):
            return False

        available_slots = ElectionVote.objects.filter(
            election_id=election_id).count()

        if(available_slots != settings.EVOTE_SHUFFLE_MULTIPLIER * num):
            return False

        return True
